Rehire employee
curl --request POST \
--url https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"properties": {
"startDate": "2026-11-01",
"jobTitle": "Lifeguard"
}
}
'import requests
url = "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire"
payload = {
"staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"properties": {
"startDate": "2026-11-01",
"jobTitle": "Lifeguard"
}
}
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
staffing_entity_id: '4wPdBNLfMYBeXjNiQ5zKbStR',
properties: {startDate: '2026-11-01', jobTitle: 'Lifeguard'}
})
};
fetch('https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'staffing_entity_id' => '4wPdBNLfMYBeXjNiQ5zKbStR',
'properties' => [
'startDate' => '2026-11-01',
'jobTitle' => 'Lifeguard'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire"
payload := strings.NewReader("{\n \"staffing_entity_id\": \"4wPdBNLfMYBeXjNiQ5zKbStR\",\n \"properties\": {\n \"startDate\": \"2026-11-01\",\n \"jobTitle\": \"Lifeguard\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"staffing_entity_id\": \"4wPdBNLfMYBeXjNiQ5zKbStR\",\n \"properties\": {\n \"startDate\": \"2026-11-01\",\n \"jobTitle\": \"Lifeguard\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"staffing_entity_id\": \"4wPdBNLfMYBeXjNiQ5zKbStR\",\n \"properties\": {\n \"startDate\": \"2026-11-01\",\n \"jobTitle\": \"Lifeguard\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "12345"
}
}Rehire employee
Rehire employee
Rehire a former employee using values from the rehire form.
POST
/
hris
/
employees
/
{employee_id}
/
form
/
rehire
Rehire employee
curl --request POST \
--url https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"properties": {
"startDate": "2026-11-01",
"jobTitle": "Lifeguard"
}
}
'import requests
url = "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire"
payload = {
"staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"properties": {
"startDate": "2026-11-01",
"jobTitle": "Lifeguard"
}
}
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
staffing_entity_id: '4wPdBNLfMYBeXjNiQ5zKbStR',
properties: {startDate: '2026-11-01', jobTitle: 'Lifeguard'}
})
};
fetch('https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'staffing_entity_id' => '4wPdBNLfMYBeXjNiQ5zKbStR',
'properties' => [
'startDate' => '2026-11-01',
'jobTitle' => 'Lifeguard'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire"
payload := strings.NewReader("{\n \"staffing_entity_id\": \"4wPdBNLfMYBeXjNiQ5zKbStR\",\n \"properties\": {\n \"startDate\": \"2026-11-01\",\n \"jobTitle\": \"Lifeguard\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"staffing_entity_id\": \"4wPdBNLfMYBeXjNiQ5zKbStR\",\n \"properties\": {\n \"startDate\": \"2026-11-01\",\n \"jobTitle\": \"Lifeguard\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employees/{employee_id}/form/rehire")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"staffing_entity_id\": \"4wPdBNLfMYBeXjNiQ5zKbStR\",\n \"properties\": {\n \"startDate\": \"2026-11-01\",\n \"jobTitle\": \"Lifeguard\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "12345"
}
}Closed Beta Feature: This endpoint is now in closed beta. Please reach out to your account manager or support.
properties, using the field keys returned by GET.
This endpoint requires the permission Create and manage employees to be enabled in your scope config.
Example Request Body
{
"staffing_entity_id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"properties": {
"startDate": "2026-11-01",
"jobTitle": "Lifeguard"
}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID or the HRIS ID of the employee.
Example:
"remote:12345"
Body
application/json
POST /hris/employees/:employee_id/form/rehire Request body
Use the field keys returned by GET and include all required fields.
Show child attributes
Show child attributes
The Kombo ID of the position or requisition to rehire into. If provided, use the same ID for GET and POST.
Required string length:
24Pattern:
^[1-9A-HJ-NP-Za-km-z]+$Was this page helpful?